org.apache.olingo.odata2.api.edm

## Interface EdmAnnotations

- All Known Implementing Classes:
    EdmAnnotationsImpl

      public interface EdmAnnotations

  Do not implement this interface or derive from class.
    EdmAnnotations holds all annotation attributes and elements for a specific CSDL element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotationAttribute` | `getAnnotationAttribute(String name, String namespace)` Get annotation attribute by full qualified name
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()` Get all annotation attributes for the CSDL element
    `EdmAnnotationElement` | `getAnnotationElement(String name, String namespace)` Get annotation element by full qualified name
    `List<EdmAnnotationElement>` | `getAnnotationElements()` Get all annotation elements for the CSDL element

- - ### Method Detail

    - #### getAnnotationElements

          List<EdmAnnotationElement> getAnnotationElements()

      Get all annotation elements for the CSDL element
      Returns:
        List of `EdmAnnotationElement` or null if no elements exist

    - #### getAnnotationElement

          EdmAnnotationElement getAnnotationElement(String name,
                                                    String namespace)

      Get annotation element by full qualified name
      Parameters:
        `name` -
        `namespace` -
      Returns:
        `EdmAnnotationElement` or null if no element is found for this name

    - #### getAnnotationAttributes

          List<EdmAnnotationAttribute> getAnnotationAttributes()

      Get all annotation attributes for the CSDL element
      Returns:
        List of `EdmAnnotationAttribute` or null if no attributes exist

    - #### getAnnotationAttribute

          EdmAnnotationAttribute getAnnotationAttribute(String name,
                                                        String namespace)

      Get annotation attribute by full qualified name
      Parameters:
        `name` -
        `namespace` -
      Returns:
        `EdmAnnotationAttribute` or null if no attribute is found for this name

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.